<?php 
wp_head();
if(isset($_SESSION['user_data'])){
  $redirect_url = $_SESSION['redirect_url'];
    ?>
    <script type="text/javascript">
      /* <![CDATA[ */
      var redirect_url = '<?php echo esc_url($redirect_url); ?>';
      /* ]]> */
    </script>
  <?php 
}

$action  = esc_url( admin_url('admin-post.php') ); 
if(isset($_SESSION['user_data'])){
  $user_data = $_SESSION['user_data'];
}
$config = require SL_WP_DIR.'/social-login/config.php';
?>
<section class="wpsl-section">
  <div class="wpsl-main-wrapper">
    <!-- LOADER -->
    <div class="wpsl-loader-wrapper" style="display:none" >
      <div class="wpsl-spinner">
        <div class="rect1"></div>
        <div class="rect2"></div>
        <div class="rect3"></div>
        <div class="rect4"></div>
        <div class="rect5"></div>
      </div>
    </div>
    <!-- LOADER End-->
    <h3 class="wpsl-main-title">Conformation Form</h3>
    <div id="wpsl-sign-up" class="wpsl-signup-content">
      <form id="register_user" method="post" action="<?php echo admin_url('admin-ajax.php'); ?>" class="wpsl-signup-form">
        <input type="hidden" name="action" value="user_registration">

        <div class="wpsl-fieldset">
          <label for="wpsl-username">Username</label>
          <input type="text" name="wpsl-username" id="wpsl-name" value="<?php if(isset($user_data['displayName'])) echo esc_attr($user_data['displayName']) ?>" required="required">
        </div>

        <div class="wpsl-fieldset">
          <label for="wpsl-email">Email</label>
          <input type="email" name="wpsl-email" id="wpsl-email" value="<?php if(isset($user_data['displayName'])) echo esc_attr($user_data['email']) ?>" required="required">
        </div>

        <div class="wpsl-fieldset">
          <label for="wpsl-password">Password</label>
          <input type="password" name="wpsl-password" id="wpsl-password" required="required">
        </div>

        <div class="wpsl-fieldset">
          <label for="wpsl-confirm-password">Confirm Password</label>
          <input type="password" name="wpsl-confirm-password" id="wpsl-confirm-password" required="required">
        </div>

        <?php if(isset($config['envato']['enabled']) && $config['envato']['enabled'] === 'true') {?>
        <div class="wpsl-fieldset">
          <label for="wpsl-purchase-key">Envato Purchase Key</label>
          <input type="text" name="wpsl-purchase-key" id="wpsl-name" value="">
        </div>
        <?php } ?>
        <?php if(isset($config['captcha']['enabled']) && $config['captcha']['enabled'] === 'true') {?>
        <div class="wpsl-fieldset">
          <div class="g-recaptcha" data-sitekey="<?php echo $config['captcha']['key'] ?>"></div>
        </div>
        <?php } ?>
        <!-- use this action to add new fileds to the conformation form -->
        <?php do_action('custom_user_field'); ?>
        <button type="submit" class="wpsl-btn fullWidth">Submit</button>
      </form>
    </div>
  </div>
</section>
<?php wp_footer(); ?>
